わすれっぽいきみえ

みらいのじぶんにやさしくしてやる

node.js

年末のPCお掃除

今年も色々あったのだけど、PCの中をあまりにも整理できてなかったので、ちょっとだけ掃除してた。 yarnをbrew経由で入れ直す nodeにもpackage-lock.jsonが使えるバージョンが出たので、yarnを捨てようかなと思ってたんだけど、yarn自体はまだ開発されてるっ…

PPUG #2 - PayPal実装・運用編 - に参加してきた

ppug.connpass.com ↑に行ってきたので、そのときのメモを上げる。 freeeにおけるPayPal課金の実装事例 by Yuichiro Ebihara, freee株式会社 遅刻したのでほぼ聞けませんでした><; 決済手段が増えたことによるコストは? システムの運用はそんなに困らない …

4日目: LaravelでVueコンポーネントを読み込んでみるところまで

以下のようなフロントエンド環境をがほしい。 まずcss / jsのコンパイル環境ほしい。 uglifyやってほしい。 source-mapやってほしい。 ES6やりたい。 いい感じにbabelってほしい。 vuex使ってみたい。 これらが何も考えなくてもとりあえずlaravelを入れたこ…

1日目: yarn使ってみた

yarnpkg.com を触ってみる。 まず // npmだとこうなるのが npm init // yarnを使うとこうなる yarn init package.jsonを作成する際に聞かれるnameとかは yarn init でも同じく聞かれるが、ちょっと表示の仕方が違ったりするので試してみてほしい。 // npmだ…

node.jsのバージョンをnodebrewで切り替えられるようにした

neos21.hatenablog.com ここに書いてあるエラー fs: re-evaluating native module sources is not supported がまさに出てきてリモートとローカルのnodeのバージョンが違うことに気がついた。 リモートのnodeのバージョンにローカルを合わせるためnodebrewを…

electronのドキュメント翻訳ページ

https://github.com/electron/electron/tree/master/docs-translations/jp ここにある。 英語を全然やってなかったし、久しぶりに翻訳しようと思って自分の手元でも書いてみたが、こんな訳で良いのかな?と思って見ていたら見つけた。 自分で書いてみたのと照…

electronを触りたい

…ので、とりあえずダウンロードした。 最近本当に何もしてないので、前から触りたかったし、とにかくダウンロードをするところから始める。 electron.atom.io # Clone the Quick Start repository $ git clone https://github.com/electron/electron-quick-s…

Node.jsを教えてくださいってお願いした

これまでに 13日目: HUBOTことはじめ(coffeescript使えるようにする) - わすれっぽいきみえ 17日目: jQueryをコンパイル - わすれっぽいきみえ npmを使ってbowerをインストールするときに『npm ERR! cb() never called!』と表示されて失敗 - わすれっぽいき…

17日目: jQueryをコンパイル

jQueryからダウンロードもできるのだけども、せっかく13日目: HUBOTことはじめ(coffeescript使えるようにする) - わすれっぽいきみえでnode.jsを入れたVMがあるのだから、これを使ってjQueryをコンパイルしてみる。 まずはjQueryの素をダウンロード jquery/j…

13日目: HUBOTことはじめ(coffeescript使えるようにする)

タイトル通りインストールです。はい。 nvmいれて、nodeいれて、coffeeいれるまで。 VMでHUBOTを使えるようにする準備をした。 nvmいれようず creationix/nvm · GitHubにもあるように次のコマンドでおk。 $ curl https://raw.github.com/creationix/nvm/mas…

npmを使ってbowerをインストールするときに『npm ERR! cb() never called!』と表示されて失敗

タイトルの通り。 twitter bootstrapのgitリポジトリからcssとかを生成するのにbowerを使えってtwitter bootstrapのREADME.mdに書いてあるので、その通りにするためにbowerをインストールしようとしたらエラー吐いた。 $ npm install -g bower npm http GET …